Create Family Attribute
curl --request POST \
--url https://wisepim.com/api/public/v1/family-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"family": 123,
"attribute": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/family-attributes"
payload = {
"family": 123,
"attribute": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({family: 123, attribute: 123})
};
fetch('https://wisepim.com/api/public/v1/family-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"family": 123,
"attribute": 123,
"is_required": true,
"sort_order": 123,
"is_variant_axis": true,
"is_differentiator": true,
"default_value": "<unknown>",
"validation_override": {},
"display_sequence": 123,
"filter_sequence": 123,
"value_code_set_override": 123,
"allowed_value_codes": [
"<string>"
],
"uom_code_set_override": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Create Family Attribute
POST /family-attributes. Required scopes: family-attributes:write.
POST
/
api
/
public
/
v1
/
family-attributes
Create Family Attribute
curl --request POST \
--url https://wisepim.com/api/public/v1/family-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"family": 123,
"attribute": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/family-attributes"
payload = {
"family": 123,
"attribute": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({family: 123, attribute: 123})
};
fetch('https://wisepim.com/api/public/v1/family-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"family": 123,
"attribute": 123,
"is_required": true,
"sort_order": 123,
"is_variant_axis": true,
"is_differentiator": true,
"default_value": "<unknown>",
"validation_override": {},
"display_sequence": 123,
"filter_sequence": 123,
"value_code_set_override": 123,
"allowed_value_codes": [
"<string>"
],
"uom_code_set_override": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Body
application/json
Required range:
x <= 9223372036854776000Required range:
x <= 9223372036854776000Required range:
0 < x <= 9223372036854776000Maximum array length:
5000Required string length:
1 - 255Required range:
0 < x <= 9223372036854776000Response
Created

